I have Mac OS X 10.5.8. and just ordered iLife'11 but it says i need Mac OS X 10.6.3 or later, would Snow Leopard 10.6 be that upgrade or no?

Back To Product

Follow this Question

3 Answers from the Community

  • Best Answer:

    Yes. But in order to run Snow Leopard, you must have an Intel-based Mac.

    After you install Snow Leopard, do a "Software Update" (found under the Apple menu). You may have to do it several times to get to the latest version of Snow Leopard (which I believe is 10.6.7 at the present time).

    Was this useful? Answer 1

    8 of 10 people found this useful

  • 10.6 would be that upgrade, buy when you get Snow Leopard, you should update it before you do anything. Click on the apple in the top left corner, and select software update. Do all updates until there are none left. Then install iLife '11 and do updates for it. Then you have iLife '11.

    Was this useful? Answer 2

    4 of 6 people found this useful

  • yes it would

    Was this useful? Answer 3

    0 of 0 people found this useful

Related Questions